// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class testBundle extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}
    @property(cc.AudioClip)
    bgmp3: cc.AudioClip = null;

    @property(cc.Sprite)
    vipSpr: cc.Sprite = null;

    start() {
        cc.audioEngine.playMusic(this.bgmp3, true);
        cc.assetManager.getBundle('testBundle').load(`ui/vip02`, cc.SpriteFrame, function (err, spriteFrame) {
            if (err) return;
            console.log(spriteFrame);
            this.vipSpr.spriteFrame = spriteFrame;
        });

    }

    // update (dt) {}
}
